# frozen_string_literal: true

require 'gtk3'
require_relative 'application_window'

# Main module
module Pickaxe
  # Pickaxe::Application < Gtk::Application
  class Application < Gtk::Application
    def initialize
      super 'com.ismailarilik.pickaxe'

      signal_connect 'activate' do |application|
        @application_window = ApplicationWindow.new application
        @application_window.present
      end
    end
  end
end
